MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022935Community[OCCT] OCCT:Modeling Datapublic2012-01-30 14:182012-04-16 12:26
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022935: Bug: BRepFill_Sweep.cxx line 572
Descriptionsince sprintf does not allocate memory the lines:

char* name;
sprintf(name,"wire-on-face");

will probably lead to a crash. My fix is to declare name as a fixed-size array instead:

char name[128];
sprintf(name,"wire-on-face");
TagsNo tags attached.
Test case numberTest case is not required
Attached Files

- Relationships

-  Notes
(0019305)
abv (manager)
2012-01-30 14:39

Please just use string literal directly in call to DBRep::Set() (the buffer might have been used in the past because Standard_CString was defined as char*, instead of const char*)
(0019493)
ama (developer)
2012-02-09 17:13

SVN branch http://svn/svn/occt/branches/OCC22935 [^] (revision 10399) is ready to be reviewed.
(0019495)
abv (manager)
2012-02-09 17:24

No remarks, please test
(0019538)
mkv (tester)
2012-02-13 20:37

Dear BugMaster,
Workbench KAS:dev:mkv-22935-occt was created from SVN branch http://svn/svn/occt/branches/OCC22935 [^]
(and mkv-22935-products from trunk) and compiled on Linux platform.

There are not regressions in mkv-22935-products regarding to KAS:dev:products-20120210-opt

See results in /QADisk/occttests/results/KAS/dev/mkv-22935-products_10022012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120210-opt_10022012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0019633)
bugmaster (administrator)
2012-02-17 16:02

Integrated into trunk of occt repository

Date: 2012-02-17 16:00:05 +0400 (Fri, 17 Feb 2012)
New Revision: 10507

Modified:
   trunk/src/BRepFill/BRepFill_Sweep.cxx
(0020371)
Pawel (developer)
2012-04-12 17:15

Verified. Please close.

- Related Changesets
occt: master c0695321
Timestamp: 2012-02-17 12:00:05
Author: ama
Committer: bugmaster
Details ] Diff ]
0022935: Bug: BRepFill_Sweep.cxx line 572
mod - src/BRepFill/BRepFill_Sweep.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-30 14:18 Pawel New Issue
2012-01-30 14:18 Pawel Assigned To => jgv
2012-01-30 14:39 abv Note Added: 0019305
2012-01-30 14:39 abv Assigned To jgv => ama
2012-01-30 14:39 abv Status new => assigned
2012-02-09 17:13 ama Note Added: 0019493
2012-02-09 17:13 ama Assigned To ama => abv
2012-02-09 17:13 ama Status assigned => resolved
2012-02-09 17:24 abv Note Added: 0019495
2012-02-09 17:24 abv Assigned To abv => ama
2012-02-09 17:24 abv Status resolved => reviewed
2012-02-13 20:37 mkv Note Added: 0019538
2012-02-13 20:37 mkv Test case number => Test case is not required
2012-02-13 20:37 mkv Status reviewed => tested
2012-02-17 16:01 bugmaster Assigned To ama => Pawel
2012-02-17 16:01 bugmaster Target Version => 6.5.3
2012-02-17 16:02 bugmaster Note Added: 0019633
2012-02-17 16:02 bugmaster Status tested => verified
2012-02-17 16:02 bugmaster Resolution open => fixed
2012-03-29 17:26 bugmaster Changeset attached => occt master c0695321
2012-04-12 17:15 Pawel Note Added: 0020371
2012-04-16 12:26 Pawel Assigned To Pawel => bugmaster


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker